Create a personal access token
curl --request POST \
--url https://api.cnap.tech/v1/user/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My CLI token",
"expires_at": 1742169600
}
'import requests
url = "https://api.cnap.tech/v1/user/tokens"
payload = {
"name": "My CLI token",
"expires_at": 1742169600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My CLI token', expires_at: 1742169600})
};
fetch('https://api.cnap.tech/v1/user/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"token": "cnap_pat_a3b2c4d5e6f7g8h9i0j1k2l3m4n5o6p7"
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Auth
Create a personal access token
Creates a new PAT. The full token is returned in the response and never shown again.
POST
/
v1
/
user
/
tokens
Create a personal access token
Authorizations
Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Body
application/json
⌘I